%define mod_name mod_authnz_external

Name:		apache-%{mod_name}
Version:	3.3.2
Release:	%mkrel 1
Summary:	An apache authentication DSO using external programs
Group:		System/Servers
License:	Apache License
URL:		https://github.com/phokz/mod-auth-external/tree/master/mod_authnz_external
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_authnz_external.conf
Source2:	authnz_external.conf
BuildRequires:  apache-devel
Requires:	pwauth
Requires:	apache

%description
An apache external authentication module - uses PAM.

%prep
%setup -q -n %{mod_name}-%{version}

chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO

%build
%{_httpd_apxs} -c -I . %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_authnz_external.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/authnz_external.conf

%files
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%config(noreplace) %{_httpd_modconfdir}/10_mod_authnz_external.conf
%config(noreplace) %{_httpd_extconfdir}/authnz_external.conf
%{_httpd_moddir}/%{mod_name}.so


%changelog
* Thu Feb 25 2016 oden <oden> 3.3.2-1.mga6
+ Revision: 979121
- 3.3.2
- new home at github since Jan Wolter (http://www.unixpapa.com/) sadly passed away January 1, 2015. RIP

* Mon Feb 08 2016 umeabot <umeabot> 3.3.1-6.mga6
+ Revision: 944196
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-5.mga5
+ Revision: 751259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.1-4.mga5
+ Revision: 677836
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.1-3.mga4
+ Revision: 502534
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 345839
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 3.3.1-1.mga3
+ Revision: 280765
- new version
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 3.2.5-6.mga3
+ Revision: 268670
- fix module configuration to work with systemd (mga #6714)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.2.5-5.mga2
+ Revision: 223840
- httpd restart is handled by filetriggers now

  + guillomovitch <guillomovitch>
    - spec cleanup

* Sun Sep 18 2011 dmorgan <dmorgan> 3.2.5-4.mga2
+ Revision: 144664
- Fix buildrequires
- Change apache-base require

* Wed Feb 23 2011 ennael <ennael> 3.2.5-3.mga1
+ Revision: 57642
- imported package apache-mod_authnz_external

